diff --git a/test/unit/jobs/destroy_project_job_test.rb b/test/unit/jobs/destroy_project_job_test.rb
index 667f0c864..e2a4fa28d 100644
--- a/test/unit/jobs/destroy_project_job_test.rb
+++ b/test/unit/jobs/destroy_project_job_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class DestroyProjectJobTest < ActiveJob::TestCase
-  fixtures :users, :projects, :email_addresses
-
   setup do
     @project = Project.find 1
     @user = User.find_by_admin true
diff --git a/test/unit/jobs/destroy_projects_job_test.rb b/test/unit/jobs/destroy_projects_job_test.rb
index 01a83fc03..a6b0f072b 100644
--- a/test/unit/jobs/destroy_projects_job_test.rb
+++ b/test/unit/jobs/destroy_projects_job_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class DestroyProjectsJobTest < ActiveJob::TestCase
-  fixtures :users, :projects, :email_addresses
-
   setup do
     @projects = Project.where(id: [1, 2]).order(:id).to_a
     @user = User.find_by_admin true
diff --git a/test/unit/journal_observer_test.rb b/test/unit/journal_observer_test.rb
index ed6931893..8189d836a 100644
--- a/test/unit/journal_observer_test.rb
+++ b/test/unit/journal_observer_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class JournalObserverTest < ActiveSupport::TestCase
-  fixtures :issues, :issue_statuses, :journals, :journal_details, :projects,
-           :projects_trackers, :trackers, :enabled_modules, :enumerations,
-           :users, :user_preferences, :email_addresses, :roles, :members, :member_roles,
-           :versions, :issue_categories, :attachments
-
   def setup
     User.current = nil
     ActionMailer::Base.deliveries.clear
diff --git a/test/unit/journal_test.rb b/test/unit/journal_test.rb
index bab30833c..b8571858a 100644
--- a/test/unit/journal_test.rb
+++ b/test/unit/journal_test.rb
@@ -20,13 +20,6 @@
 require_relative '../test_helper'
 
 class JournalTest < ActiveSupport::TestCase
-  fixtures :projects, :issues, :issue_statuses, :journals, :journal_details,
-           :issue_relations, :workflows,
-           :users, :members, :member_roles, :roles, :enabled_modules,
-           :groups_users, :email_addresses,
-           :enumerations,
-           :projects_trackers, :trackers, :custom_fields
-
   def setup
     @journal = Journal.find 1
     User.current = nil
diff --git a/test/unit/lib/redmine/acts/mentionable_test.rb b/test/unit/lib/redmine/acts/mentionable_test.rb
index 8471c51af..00a7df159 100644
--- a/test/unit/lib/redmine/acts/mentionable_test.rb
+++ b/test/unit/lib/redmine/acts/mentionable_test.rb
@@ -20,14 +20,6 @@
 require_relative '../../../../test_helper'
 
 class Redmine::Acts::MentionableTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :email_addresses, :members, :member_roles, :roles,
-         :groups_users,
-         :trackers, :projects_trackers,
-         :enabled_modules,
-         :issue_statuses, :issue_categories, :issue_relations, :workflows,
-         :enumerations,
-         :issues
-
   def test_mentioned_users_with_user_mention
     to_test = %w(@dlopper @dlopper! @dlopper? @dlopper. @dlopper,)  # rubocop:disable Lint/PercentStringArray
 
diff --git a/test/unit/lib/redmine/acts/positioned_with_scope_test.rb b/test/unit/lib/redmine/acts/positioned_with_scope_test.rb
index 27e1c55c9..af2868bb6 100644
--- a/test/unit/lib/redmine/acts/positioned_with_scope_test.rb
+++ b/test/unit/lib/redmine/acts/positioned_with_scope_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../../test_helper'
 
 class Redmine::Acts::PositionedWithScopeTest < ActiveSupport::TestCase
-  fixtures :projects, :boards
-
   def test_create_should_default_to_last_position
     b = Board.generate!(:project_id => 1)
     assert_equal 3, b.reload.position
diff --git a/test/unit/lib/redmine/acts/positioned_without_scope_test.rb b/test/unit/lib/redmine/acts/positioned_without_scope_test.rb
index 9b7f6f1ee..6cf23607d 100644
--- a/test/unit/lib/redmine/acts/positioned_without_scope_test.rb
+++ b/test/unit/lib/redmine/acts/positioned_without_scope_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../../test_helper'
 
 class Redmine::Acts::PositionedWithoutScopeTest < ActiveSupport::TestCase
-  fixtures :trackers, :issue_statuses
-
   def test_create_should_default_to_last_position
     t = Tracker.generate
     t.save!
diff --git a/test/unit/lib/redmine/ciphering_test.rb b/test/unit/lib/redmine/ciphering_test.rb
index f9a699677..261b2004a 100644
--- a/test/unit/lib/redmine/ciphering_test.rb
+++ b/test/unit/lib/redmine/ciphering_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../test_helper'
 
 class Redmine::CipheringTest < ActiveSupport::TestCase
-  fixtures :auth_sources
-
   def test_password_should_be_encrypted
     Redmine::Configuration.with 'database_cipher_key' => 'secret' do
       plaintext_password = "THIS_IS_A_32_BYTES_LONG_PASSWORD"
diff --git a/test/unit/lib/redmine/export/pdf/issues_pdf_test.rb b/test/unit/lib/redmine/export/pdf/issues_pdf_test.rb
index fa8f6616a..4227d2073 100644
--- a/test/unit/lib/redmine/export/pdf/issues_pdf_test.rb
+++ b/test/unit/lib/redmine/export/pdf/issues_pdf_test.rb
@@ -20,9 +20,6 @@
 require_relative '../../../../../test_helper'
 
 class IssuesPdfHelperTest < ActiveSupport::TestCase
-  fixtures :users, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :issues, :trackers, :enumerations, :versions
-
   include Redmine::Export::PDF::IssuesPdfHelper
 
   def test_fetch_row_values_should_round_float_values
diff --git a/test/unit/lib/redmine/export/pdf_test.rb b/test/unit/lib/redmine/export/pdf_test.rb
index ca978d224..0db3f470c 100644
--- a/test/unit/lib/redmine/export/pdf_test.rb
+++ b/test/unit/lib/redmine/export/pdf_test.rb
@@ -20,9 +20,6 @@
 require_relative '../../../../test_helper'
 
 class PdfTest < ActiveSupport::TestCase
-  fixtures :users, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :issues, :trackers, :attachments
-
   def test_fix_text_encoding_nil
     assert_equal '', Redmine::Export::PDF::RDMPdfEncoding::rdm_from_utf8(nil, "UTF-8")
     assert_equal '', Redmine::Export::PDF::RDMPdfEncoding::rdm_from_utf8(nil, "ISO-8859-1")
diff --git a/test/unit/lib/redmine/export/text/versions_text_helper_test.rb b/test/unit/lib/redmine/export/text/versions_text_helper_test.rb
index b09501d68..5dbbbc515 100644
--- a/test/unit/lib/redmine/export/text/versions_text_helper_test.rb
+++ b/test/unit/lib/redmine/export/text/versions_text_helper_test.rb
@@ -20,9 +20,6 @@
 require_relative '../../../../../test_helper'
 
 class VersionsTextHelperTest < ActiveSupport::TestCase
-  fixtures :users, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :issues, :trackers, :enumerations, :versions
-
   include Redmine::I18n
   include Redmine::Export::Text::VersionsTextHelper
 
diff --git a/test/unit/lib/redmine/field_format/attachment_format_test.rb b/test/unit/lib/redmine/field_format/attachment_format_test.rb
index b4291b214..b0acf6d69 100644
--- a/test/unit/lib/redmine/field_format/attachment_format_test.rb
+++ b/test/unit/lib/redmine/field_format/attachment_format_test.rb
@@ -23,8 +23,6 @@ require 'redmine/field_format'
 class Redmine::AttachmentFieldFormatTest < ActionView::TestCase
   include Redmine::I18n
 
-  fixtures :users
-
   def setup
     User.current = nil
     set_language_if_valid 'en'
diff --git a/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb b/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb
index 2e696615c..1d973fb72 100644
--- a/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb
+++ b/test/unit/lib/redmine/field_format/attachment_format_visibility_test.rb
@@ -21,13 +21,6 @@ require_relative '../../../../test_helper'
 require 'redmine/field_format'
 
 class AttachmentFormatVisibilityTest < ActionView::TestCase
-  fixtures :projects, :enabled_modules, :projects_trackers,
-           :roles, :members, :member_roles,
-           :users, :email_addresses,
-           :trackers, :issue_statuses, :enumerations, :issue_categories,
-           :custom_fields, :custom_fields_trackers,
-           :versions, :issues
-
   def setup
     User.current = nil
     set_tmp_attachments_directory
diff --git a/test/unit/lib/redmine/field_format/numeric_format_test.rb b/test/unit/lib/redmine/field_format/numeric_format_test.rb
index a3a30cf40..2c9ecdc2e 100644
--- a/test/unit/lib/redmine/field_format/numeric_format_test.rb
+++ b/test/unit/lib/redmine/field_format/numeric_format_test.rb
@@ -21,10 +21,6 @@ require_relative '../../../../test_helper'
 require 'redmine/field_format'
 
 class Redmine::NumericFieldFormatTest < ActionView::TestCase
-  fixtures :projects, :users, :issue_statuses, :enumerations,
-           :trackers, :projects_trackers, :roles, :member_roles,
-           :members, :enabled_modules, :issues
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/lib/redmine/field_format/user_field_format_test.rb b/test/unit/lib/redmine/field_format/user_field_format_test.rb
index 15031e97f..2d095a207 100644
--- a/test/unit/lib/redmine/field_format/user_field_format_test.rb
+++ b/test/unit/lib/redmine/field_format/user_field_format_test.rb
@@ -21,12 +21,6 @@ require_relative '../../../../test_helper'
 require 'redmine/field_format'
 
 class Redmine::UserFieldFormatTest < ActionView::TestCase
-  fixtures :projects, :roles, :users, :members, :member_roles,
-           :trackers,
-           :issue_statuses, :issue_categories, :issue_relations, :workflows,
-           :enumerations,
-           :custom_fields, :custom_fields_trackers, :custom_fields_projects
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/lib/redmine/field_format/version_field_format_test.rb b/test/unit/lib/redmine/field_format/version_field_format_test.rb
index bd9c57ce7..cd3921845 100644
--- a/test/unit/lib/redmine/field_format/version_field_format_test.rb
+++ b/test/unit/lib/redmine/field_format/version_field_format_test.rb
@@ -21,12 +21,6 @@ require_relative '../../../../test_helper'
 require 'redmine/field_format'
 
 class Redmine::VersionFieldFormatTest < ActionView::TestCase
-  fixtures :projects, :versions, :trackers,
-           :roles, :users, :members, :member_roles,
-           :issue_statuses, :issue_categories, :issue_relations, :workflows,
-           :enumerations, :custom_fields, :custom_fields_trackers,
-           :enabled_modules
-
   def setup
     super
     User.current = nil
diff --git a/test/unit/lib/redmine/helpers/gantt_test.rb b/test/unit/lib/redmine/helpers/gantt_test.rb
index 476e54952..4a5c01980 100644
--- a/test/unit/lib/redmine/helpers/gantt_test.rb
+++ b/test/unit/lib/redmine/helpers/gantt_test.rb
@@ -20,9 +20,6 @@
 require_relative '../../../../test_helper'
 
 class Redmine::Helpers::GanttHelperTest < Redmine::HelperTest
-  fixtures :projects, :trackers, :projects_trackers, :issue_statuses,
-           :enumerations, :users, :issue_categories
-
   include ProjectsHelper
   include IssuesHelper
   include QueriesHelper
diff --git a/test/unit/lib/redmine/hook_test.rb b/test/unit/lib/redmine/hook_test.rb
index 7fc3e461f..d1f1451d1 100644
--- a/test/unit/lib/redmine/hook_test.rb
+++ b/test/unit/lib/redmine/hook_test.rb
@@ -20,16 +20,6 @@
 require_relative '../../../test_helper'
 
 class Redmine::Hook::ManagerTest < ActionView::TestCase
-  fixtures :projects, :users, :members, :member_roles, :roles,
-           :groups_users,
-           :email_addresses,
-           :trackers, :projects_trackers,
-           :enabled_modules,
-           :versions,
-           :issue_statuses, :issue_categories, :issue_relations,
-           :enumerations,
-           :issues
-
   # Some hooks that are manually registered in these tests
   class TestHook < Redmine::Hook::ViewListener; end
 
diff --git a/test/unit/lib/redmine/menu_manager/menu_helper_test.rb b/test/unit/lib/redmine/menu_manager/menu_helper_test.rb
index cde10c8ba..9e56c419b 100644
--- a/test/unit/lib/redmine/menu_manager/menu_helper_test.rb
+++ b/test/unit/lib/redmine/menu_manager/menu_helper_test.rb
@@ -23,8 +23,6 @@ class Redmine::MenuManager::MenuHelperTest < Redmine::HelperTest
   include Redmine::MenuManager::MenuHelper
   include ERB::Util
 
-  fixtures :users, :members, :projects, :enabled_modules, :roles, :member_roles
-
   def setup
     setup_with_controller
     # Stub the current menu item in the controller
diff --git a/test/unit/lib/redmine/project_jump_box_test.rb b/test/unit/lib/redmine/project_jump_box_test.rb
index 135f10e51..88c14dbb5 100644
--- a/test/unit/lib/redmine/project_jump_box_test.rb
+++ b/test/unit/lib/redmine/project_jump_box_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../test_helper'
 
 class Redmine::ProjectJumpBoxTest < ActiveSupport::TestCase
-  fixtures :users, :projects, :user_preferences, :members, :roles, :member_roles
-
   def setup
     @user = User.find_by_login 'jsmith'
     User.current = @user
diff --git a/test/unit/lib/redmine/quote_reply_helper_test.rb b/test/unit/lib/redmine/quote_reply_helper_test.rb
index 541a59fe6..43adb521b 100644
--- a/test/unit/lib/redmine/quote_reply_helper_test.rb
+++ b/test/unit/lib/redmine/quote_reply_helper_test.rb
@@ -23,8 +23,6 @@ class QuoteReplyHelperTest < ActionView::TestCase
   include ERB::Util
   include Redmine::QuoteReply::Helper
 
-  fixtures :issues
-
   def test_quote_reply
     with_locale 'en' do
       url = quoted_issue_path(issues(:issues_001))
diff --git a/test/unit/lib/redmine/safe_attributes_test.rb b/test/unit/lib/redmine/safe_attributes_test.rb
index 73891b740..0e53da238 100644
--- a/test/unit/lib/redmine/safe_attributes_test.rb
+++ b/test/unit/lib/redmine/safe_attributes_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../test_helper'
 
 class Redmine::SafeAttributesTest < ActiveSupport::TestCase
-  fixtures :users
-
   class Base
     def attributes=(attrs)
       attrs.each do |key, value|
diff --git a/test/unit/lib/redmine/wiki_formatting/common_mark/application_helper_test.rb b/test/unit/lib/redmine/wiki_formatting/common_mark/application_helper_test.rb
index 46057f132..4ecc3e62a 100644
--- a/test/unit/lib/redmine/wiki_formatting/common_mark/application_helper_test.rb
+++ b/test/unit/lib/redmine/wiki_formatting/common_mark/application_helper_test.rb
@@ -24,17 +24,6 @@ class Redmine::WikiFormatting::CommonMark::ApplicationHelperTest < Redmine::Help
 
     include ERB::Util
 
-    fixtures :projects, :enabled_modules,
-             :users, :email_addresses,
-             :members, :member_roles, :roles,
-             :repositories, :changesets,
-             :projects_trackers,
-             :trackers, :issue_statuses, :issues, :versions, :documents, :journals,
-             :wikis, :wiki_pages, :wiki_contents,
-             :boards, :messages, :news,
-             :attachments, :enumerations,
-             :custom_values, :custom_fields, :custom_fields_projects
-
     def setup
       super
       set_tmp_attachments_directory
diff --git a/test/unit/lib/redmine/wiki_formatting/macros_test.rb b/test/unit/lib/redmine/wiki_formatting/macros_test.rb
index 782354039..f23c76fdd 100644
--- a/test/unit/lib/redmine/wiki_formatting/macros_test.rb
+++ b/test/unit/lib/redmine/wiki_formatting/macros_test.rb
@@ -25,14 +25,6 @@ class Redmine::WikiFormatting::MacrosTest < Redmine::HelperTest
   include ERB::Util
   extend ActionView::Helpers::SanitizeHelper::ClassMethods
 
-  fixtures :projects, :roles, :enabled_modules, :users,
-           :repositories, :changesets,
-           :trackers, :issue_statuses, :issues,
-           :versions, :documents,
-           :wikis, :wiki_pages, :wiki_contents,
-           :boards, :messages,
-           :attachments, :enumerations
-
   def setup
     super
     @project = nil
diff --git a/test/unit/lib/redmine/wiki_formatting_test.rb b/test/unit/lib/redmine/wiki_formatting_test.rb
index 00273f717..a11aba908 100644
--- a/test/unit/lib/redmine/wiki_formatting_test.rb
+++ b/test/unit/lib/redmine/wiki_formatting_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../test_helper'
 
 class Redmine::WikiFormattingTest < ActiveSupport::TestCase
-  fixtures :issues
-
   def test_textile_formatter
     assert_equal Redmine::WikiFormatting::Textile::Formatter, Redmine::WikiFormatting.formatter_for('textile')
     assert_equal Redmine::WikiFormatting::Textile::Helper, Redmine::WikiFormatting.helper_for('textile')
diff --git a/test/unit/mail_handler_test.rb b/test/unit/mail_handler_test.rb
index ff77f3676..e05b64b0c 100644
--- a/test/unit/mail_handler_test.rb
+++ b/test/unit/mail_handler_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class MailHandlerTest < ActiveSupport::TestCase
-  fixtures :users, :projects, :enabled_modules, :roles,
-           :members, :member_roles, :users,
-           :email_addresses, :user_preferences,
-           :issues, :issue_statuses,
-           :journals, :journal_details,
-           :workflows, :trackers, :projects_trackers,
-           :versions, :enumerations, :issue_categories,
-           :custom_fields, :custom_fields_trackers, :custom_fields_projects, :custom_values,
-           :boards, :messages, :watchers, :news, :comments
-
   FIXTURES_PATH = File.dirname(__FILE__) + '/../fixtures/mail_handler'
 
   def setup
diff --git a/test/unit/mailer_localisation_test.rb b/test/unit/mailer_localisation_test.rb
index a19644a15..4055a29b2 100644
--- a/test/unit/mailer_localisation_test.rb
+++ b/test/unit/mailer_localisation_test.rb
@@ -22,15 +22,6 @@ require_relative '../test_helper'
 class MailerLocalisationTest < ActiveSupport::TestCase
   include Redmine::I18n
   include Rails::Dom::Testing::Assertions
-  fixtures :projects, :enabled_modules, :issues, :users, :email_addresses, :user_preferences, :members,
-           :member_roles, :roles, :documents, :attachments, :news,
-           :tokens, :journals, :journal_details, :changesets,
-           :trackers, :projects_trackers,
-           :issue_statuses, :enumerations, :messages, :boards, :repositories,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :versions,
-           :comments
-
   def setup
     ActionMailer::Base.deliveries.clear
     Setting.plain_text_mail = '0'
diff --git a/test/unit/mailer_test.rb b/test/unit/mailer_test.rb
index 8d53699f3..792cb7897 100644
--- a/test/unit/mailer_test.rb
+++ b/test/unit/mailer_test.rb
@@ -22,16 +22,6 @@ require_relative '../test_helper'
 class MailerTest < ActiveSupport::TestCase
   include Redmine::I18n
   include Rails::Dom::Testing::Assertions
-  fixtures :projects, :enabled_modules, :issues, :users, :email_addresses, :user_preferences, :members,
-           :member_roles, :roles, :documents, :attachments, :news,
-           :tokens, :journals, :journal_details, :changesets,
-           :trackers, :projects_trackers,
-           :custom_fields, :custom_fields_trackers,
-           :issue_statuses, :enumerations, :messages, :boards, :repositories,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :versions,
-           :comments,
-           :groups_users, :watchers, :issue_categories
 
   def setup
     ActionMailer::Base.deliveries.clear
diff --git a/test/unit/member_test.rb b/test/unit/member_test.rb
index 38a568bbb..a7b1843dc 100644
--- a/test/unit/member_test.rb
+++ b/test/unit/member_test.rb
@@ -20,20 +20,6 @@
 require_relative '../test_helper'
 
 class MemberTest < ActiveSupport::TestCase
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :groups_users,
-           :watchers,
-           :journals, :journal_details,
-           :messages,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :boards
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/message_test.rb b/test/unit/message_test.rb
index a2da6c05a..5f59566b8 100644
--- a/test/unit/message_test.rb
+++ b/test/unit/message_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class MessageTest < ActiveSupport::TestCase
-  fixtures :projects, :roles, :members, :member_roles, :boards, :messages,
-           :users, :watchers, :enabled_modules
-
   def setup
     User.current = nil
     @board = Board.find(1)
diff --git a/test/unit/news_test.rb b/test/unit/news_test.rb
index 21ae6e218..0e23f8309 100644
--- a/test/unit/news_test.rb
+++ b/test/unit/news_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class NewsTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles, :enabled_modules, :news
-
   def valid_news
     {:title => 'Test news', :description => 'Lorem ipsum etc', :author => User.first}
   end
diff --git a/test/unit/principal_test.rb b/test/unit/principal_test.rb
index 6ec79caec..9eef5bbf3 100644
--- a/test/unit/principal_test.rb
+++ b/test/unit/principal_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class PrincipalTest < ActiveSupport::TestCase
-  fixtures :users, :projects, :members, :member_roles, :roles,
-           :email_addresses
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/project_copy_test.rb b/test/unit/project_copy_test.rb
index 7f9376d3d..1bfb65cb5 100644
--- a/test/unit/project_copy_test.rb
+++ b/test/unit/project_copy_test.rb
@@ -20,26 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectCopyTest < ActiveSupport::TestCase
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :journals, :journal_details,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :custom_fields,
-           :custom_fields_projects,
-           :custom_fields_trackers,
-           :custom_values,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :versions,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :groups_users,
-           :boards, :messages,
-           :repositories,
-           :news, :comments,
-           :documents, :attachments
-
   def setup
     User.current = nil
     ProjectCustomField.destroy_all
diff --git a/test/unit/project_members_inheritance_test.rb b/test/unit/project_members_inheritance_test.rb
index ed6b61349..a5f7b3d93 100644
--- a/test/unit/project_members_inheritance_test.rb
+++ b/test/unit/project_members_inheritance_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectMembersInheritanceTest < ActiveSupport::TestCase
-  fixtures :roles, :users,
-           :projects, :trackers, :issue_statuses
-
   def setup
     User.current = nil
     @parent = Project.generate!
diff --git a/test/unit/project_query_test.rb b/test/unit/project_query_test.rb
index 156949ea8..3e232f820 100644
--- a/test/unit/project_query_test.rb
+++ b/test/unit/project_query_test.rb
@@ -20,15 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectQueryTest < ActiveSupport::TestCase
-  fixtures :projects, :users,
-           :members, :roles, :member_roles,
-           :issue_categories, :enumerations,
-           :groups_users,
-           :enabled_modules,
-           :custom_fields, :custom_values,
-           :queries,
-           :issues, :journals, :journal_details
-
   include Redmine::I18n
 
   def test_filter_values_be_arrays
diff --git a/test/unit/project_test.rb b/test/unit/project_test.rb
index dc7d00fe8..f8b7e64ed 100644
--- a/test/unit/project_test.rb
+++ b/test/unit/project_test.rb
@@ -20,28 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectTest < ActiveSupport::TestCase
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :journals, :journal_details,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :custom_fields,
-           :custom_fields_projects,
-           :custom_fields_trackers,
-           :custom_values,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :versions,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :groups_users,
-           :boards, :messages,
-           :repositories,
-           :news, :comments,
-           :documents,
-           :workflows,
-           :attachments
-
   def setup
     @ecookbook = Project.find(1)
     @ecookbook_sub1 = Project.find(3)
diff --git a/test/unit/query_test.rb b/test/unit/query_test.rb
index dd3b67928..ff2cef903 100644
--- a/test/unit/query_test.rb
+++ b/test/unit/query_test.rb
@@ -22,16 +22,6 @@ require_relative '../test_helper'
 class QueryTest < ActiveSupport::TestCase
   include Redmine::I18n
 
-  fixtures :projects, :enabled_modules, :users, :user_preferences, :members,
-           :member_roles, :roles, :trackers, :issue_statuses,
-           :issue_categories, :enumerations, :issues,
-           :watchers, :custom_fields, :custom_values, :versions,
-           :queries,
-           :projects_trackers,
-           :custom_fields_trackers,
-           :workflows, :journals,
-           :attachments, :time_entries
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/repository_bazaar_test.rb b/test/unit/repository_bazaar_test.rb
index d75b234a2..5af9e7f13 100644
--- a/test/unit/repository_bazaar_test.rb
+++ b/test/unit/repository_bazaar_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoryBazaarTest < ActiveSupport::TestCase
-  fixtures :projects
-
   include Redmine::I18n
 
   REPOSITORY_PATH = repository_path('bazaar')
diff --git a/test/unit/repository_cvs_test.rb b/test/unit/repository_cvs_test.rb
index 1e5cf467b..af995eac0 100644
--- a/test/unit/repository_cvs_test.rb
+++ b/test/unit/repository_cvs_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoryCvsTest < ActiveSupport::TestCase
-  fixtures :projects
-
   include Redmine::I18n
 
   REPOSITORY_PATH = repository_path('cvs')
diff --git a/test/unit/repository_filesystem_test.rb b/test/unit/repository_filesystem_test.rb
index 59c6337b8..24ace388b 100644
--- a/test/unit/repository_filesystem_test.rb
+++ b/test/unit/repository_filesystem_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoryFilesystemTest < ActiveSupport::TestCase
-  fixtures :projects
-
   include Redmine::I18n
 
   REPOSITORY_PATH = Rails.root.join('tmp/test/filesystem_repository').to_s
diff --git a/test/unit/repository_git_test.rb b/test/unit/repository_git_test.rb
index 921628a9d..ec1ca5157 100644
--- a/test/unit/repository_git_test.rb
+++ b/test/unit/repository_git_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoryGitTest < ActiveSupport::TestCase
-  fixtures :projects, :repositories, :enabled_modules, :users, :roles, :changesets
-
   include Redmine::I18n
 
   REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository').to_s
diff --git a/test/unit/repository_mercurial_test.rb b/test/unit/repository_mercurial_test.rb
index 8c58eea24..861729bac 100644
--- a/test/unit/repository_mercurial_test.rb
+++ b/test/unit/repository_mercurial_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoryMercurialTest < ActiveSupport::TestCase
-  fixtures :projects
-
   include Redmine::I18n
 
   REPOSITORY_PATH = Rails.root.join('tmp/test/mercurial_repository').to_s
diff --git a/test/unit/repository_subversion_test.rb b/test/unit/repository_subversion_test.rb
index d5953b88b..b4590ce31 100644
--- a/test/unit/repository_subversion_test.rb
+++ b/test/unit/repository_subversion_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RepositorySubversionTest < ActiveSupport::TestCase
-  fixtures :projects, :repositories, :enabled_modules, :users, :roles
-
   include Redmine::I18n
 
   NUM_REV = 16
diff --git a/test/unit/repository_test.rb b/test/unit/repository_test.rb
index 63aa43d35..53b5e0ee7 100644
--- a/test/unit/repository_test.rb
+++ b/test/unit/repository_test.rb
@@ -20,26 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoryTest < ActiveSupport::TestCase
-  fixtures :projects,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :repositories,
-           :issues,
-           :issue_statuses,
-           :issue_categories,
-           :changesets,
-           :changes,
-           :users,
-           :email_addresses,
-           :members,
-           :member_roles,
-           :roles,
-           :enumerations,
-           :user_preferences,
-           :watchers,
-           :versions
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/role_test.rb b/test/unit/role_test.rb
index e75edb3b8..21103919f 100644
--- a/test/unit/role_test.rb
+++ b/test/unit/role_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RoleTest < ActiveSupport::TestCase
-  fixtures :roles, :workflows, :trackers, :users
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/search_test.rb b/test/unit/search_test.rb
index 267aba7ef..796cc6a6c 100644
--- a/test/unit/search_test.rb
+++ b/test/unit/search_test.rb
@@ -20,22 +20,6 @@
 require_relative '../test_helper'
 
 class SearchTest < ActiveSupport::TestCase
-  fixtures :users,
-           :members,
-           :member_roles,
-           :projects,
-           :projects_trackers,
-           :roles,
-           :enabled_modules,
-           :issues,
-           :trackers,
-           :issue_statuses,
-           :enumerations,
-           :journals,
-           :journal_details,
-           :repositories,
-           :changesets
-
   def setup
     User.current = nil
     @project = Project.find(1)
diff --git a/test/unit/setting_test.rb b/test/unit/setting_test.rb
index d64dca66d..4ae07cebb 100644
--- a/test/unit/setting_test.rb
+++ b/test/unit/setting_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class SettingTest < ActiveSupport::TestCase
-  fixtures :users
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/time_entry_activity_test.rb b/test/unit/time_entry_activity_test.rb
index 282a5661f..3d367d9b6 100644
--- a/test/unit/time_entry_activity_test.rb
+++ b/test/unit/time_entry_activity_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class TimeEntryActivityTest < ActiveSupport::TestCase
-  fixtures :enumerations, :time_entries,
-           :custom_fields, :custom_values,
-           :issues, :projects, :users,
-           :members, :roles, :member_roles,
-           :trackers, :issue_statuses,
-           :projects_trackers,
-           :issue_categories,
-           :groups_users,
-           :enabled_modules
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/time_entry_custom_field_test.rb b/test/unit/time_entry_custom_field_test.rb
index 3bdcda973..cd967ce29 100644
--- a/test/unit/time_entry_custom_field_test.rb
+++ b/test/unit/time_entry_custom_field_test.rb
@@ -22,8 +22,6 @@ require_relative '../test_helper'
 class TimeEntryCustomFieldTest < ActiveSupport::TestCase
   include Redmine::I18n
 
-  fixtures :roles, :users, :members, :member_roles, :projects, :enabled_modules, :issues
-
   def setup
     User.current = nil
   end
